net.sf.saxon.pull

## Class UnparsedEntity

- java.lang.Object
- - net.sf.saxon.pull.UnparsedEntity

-     public class UnparsedEntity
      extends Object

  This class is used to represent unparsed entities in the PullProvider interface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnparsedEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseURI()` Get the base URI of the unparsed entity
    `String` | `getName()` Get the name of the unparsed entity
    `String` | `getPublicId()` Get the public identifier of the unparsed entity
    `String` | `getSystemId()` Get the system identifier of the unparsed entity
    `void` | `setBaseURI(String baseURI)` Set the base URI of the unparsed entity
    `void` | `setName(String name)` Set the name of the unparsed entity
    `void` | `setPublicId(String publicId)` Set the public identifier of the unparsed entity
    `void` | `setSystemId(String systemId)` Set the system identifier of the unparsed entity

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnparsedEntity

          public UnparsedEntity()

  - ### Method Detail

    - #### getName

          public String getName()

      Get the name of the unparsed entity
      Returns:
        the name of the unparsed entity

    - #### setName

          public void setName(String name)

      Set the name of the unparsed entity
      Parameters:
        `name` - the name of the unparsed entity

    - #### getSystemId

          public String getSystemId()

      Get the system identifier of the unparsed entity
      Returns:
        the system identifier of the unparsed entity

    - #### setSystemId

          public void setSystemId(String systemId)

      Set the system identifier of the unparsed entity
      Parameters:
        `systemId` - the system identifier of the unparsed entity

    - #### getPublicId

          public String getPublicId()

      Get the public identifier of the unparsed entity
      Returns:
        the public identifier of the unparsed entity

    - #### setPublicId

          public void setPublicId(String publicId)

      Set the public identifier of the unparsed entity
      Parameters:
        `publicId` - the public identifier of the unparsed entity

    - #### getBaseURI

          public String getBaseURI()

      Get the base URI of the unparsed entity
      Returns:
        the base URI of the unparsed entity

    - #### setBaseURI

          public void setBaseURI(String baseURI)

      Set the base URI of the unparsed entity
      Parameters:
        `baseURI` - the base URI of the unparsed entity

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.